Page MenuHomePhabricator

Mediawiki font packages: switch to Jessie
Closed, ResolvedPublic

Description

subtask of T95002

this is to change/update all the font packages / package names to be able to apply the mediawiki module (with ./manifests/packages/fonts.pp) on jessie.

The ttf-* prefix has been replaced by fonts-* in Debian (and subsequently, Ubuntu) and has been rolled out gradually.
The way this works is that one release leaves the old package name but with an empty package depending on the corresponding replacement (a so-called transitional package). The transitional packages stay for a release, then get dropped. wheezy had some of those, as you can e.g. see here.

Event Timeline

Dzahn created this task.Jun 16 2015, 2:41 PM
Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added a project: acl*sre-team.
Dzahn added a subscriber: Dzahn.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 16 2015, 2:41 PM

Change 218640 had a related patch set uploaded (by Dzahn):
mediawiki: update font packages for jessie

https://gerrit.wikimedia.org/r/218640

Change 218640 abandoned by Dzahn:
mediawiki: update font packages for jessie

https://gerrit.wikimedia.org/r/218640

Change 218640 restored by Dzahn:
mediawiki: update font packages for jessie

https://gerrit.wikimedia.org/r/218640

Dzahn triaged this task as Normal priority.Jul 10 2015, 6:18 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 10 2015, 6:18 PM
fgiunchedi assigned this task to Dzahn.Jul 20 2015, 11:46 AM
fgiunchedi added a subscriber: fgiunchedi.
MoritzMuehlenhoff closed this task as Resolved.Apr 25 2016, 3:01 PM

This is all fixed now.

Dzahn awarded a token.Apr 25 2016, 5:00 PM

Change 218640 abandoned by Dzahn:
mediawiki: update font packages for jessie

Reason:
as Moritz said, superseded by his recent work on fonts for jessie

https://gerrit.wikimedia.org/r/218640

hashar added a subscriber: hashar.Apr 27 2016, 6:08 PM

Danke alle!